package com.cf.imes.module.system.enums.advertisement;

import com.cf.imes.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 广告位置枚举
 *
 * @author 晨丰科技
 */
@Getter
@AllArgsConstructor
public enum AdvertisementPositionEnum implements IntArrayValuable {

    WORKBENCH_CAROUSEL(1, "首页工作台轮播"),
    SYSTEMCONFIG_AMOUNTQUERY_CAROUSEL(2, "系统管理余额查询轮播"),
    BASECONFIG_FUNDSQUERY_CAROUSEL(3, "基础配置资金查询轮播");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(AdvertisementPositionEnum::getStatus).toArray();

    /**
     * 状态值
     */
    private final Integer status;
    /**
     * 状态名
     */
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }


}
